<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2006, 2008
   
-->

<HEAD>

<%@ page import="com.ibm.wbit.tel.client.jsf.infrastructure.FacesUtils"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<jsp:useBean id="toDoMessageHandler" scope="session" class="com.ibm.wbit.tel.client.jsf.handler.ToDoMessageHandler" />
<%
	String contextPath = request.getContextPath();
%>
<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>ToDo to complete</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />
<BODY class="NavigationBackgroundLeft">
 
 <table cellpadding="0" cellspacing="0" width="100%">
  <tr>
   <td class="Banner" colspan="2" >	
      <jsp:include page="Banner.jsp" flush="true" />
   </td>
  </tr>
  <tr valign="top">
   <td nowrap="nowrap" width="220">
      <jsp:include page="Content.jsp" flush="true" />
   </td>
   <td>
	<h:form styleClass="BackgroundView">
		<h:panelGrid styleClass="BackgroundViewMTD" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{toDoMessageHandler.navigationInfo}" />
			<h:outputText styleClass="SelectStatement" value="#{bundle['LINE_TODO_COMPLETE_DESCR']}" />   
			<%
			if(!FacesUtils.isInputEqualsOutput(toDoMessageHandler) || 
			   FacesUtils.isSuppressPrePopulation(toDoMessageHandler.getToDoInstance()) ||
			   toDoMessageHandler.isCommandBarNeeded()) { 
				if(!toDoMessageHandler.isCommandBarNeeded()) {%>
					<h:outputText styleClass="ViewLabelMTD" value="#{bundle['MSG_SUBVIEW_INPUT_MESSAGE']}"/>
				<%}
				String subviewIDInput = toDoMessageHandler.getSubviewIDInput() + ".jsp";%>
				<jsp:include page="<%=subviewIDInput%>" flush="true" /> 
			<%}
			String subviewIDOutput = toDoMessageHandler.getSubviewIDOutput();
			if (subviewIDOutput != null) {
				if(!toDoMessageHandler.isCommandBarNeeded() &&
				   (FacesUtils.isSuppressPrePopulation(toDoMessageHandler.getToDoInstance()) ||
					FacesUtils.getValueMapInOut(toDoMessageHandler.getToDoInstance()) == null)) {%>
					<h:outputText styleClass="ViewLabelMTD" value="#{bundle['MSG_SUBVIEW_OUTPUT_MESSAGE']}"/>
				<%}
				subviewIDOutput = subviewIDOutput + ".jsp";%>
				<jsp:include page="<%=subviewIDOutput%>" flush="true" />
			<%}%> 
		</h:panelGrid>

		<h:panelGrid styleClass="commandbar" rendered="#{toDoMessageHandler.commandBarNeeded}">
			<bpe:commandbar model="#{toDoMessageHandler}"
				buttonStyleClass="button">
				<bpe:command label="#{bundle['BUTTON_COMPLETE']}" commandID="CompleteToDoInstance"
					commandClass="com.ibm.wbit.tel.client.jsf.command.ToDoComplete"
					context="#{toDoMessageHandler}" />
					
				<bpe:command label="#{bundle['BUTTON_SAVE']}" commandID="SaveToDoInstance"
					commandClass="com.ibm.wbit.tel.client.jsf.command.ToDoSave"
					context="#{toDoMessageHandler}" />
					
				<bpe:command label="#{bundle['BUTTON_RELEASE']}" commandID="ReleaseToDoInstance"
					commandClass="com.ibm.wbit.tel.client.jsf.command.ToDoRelease"
					context="#{toDoMessageHandler}"
					immediate="true" />
					
			</bpe:commandbar>
		</h:panelGrid>
		<%
		if ( toDoMessageHandler.isSubToDoCreationAllowed() ) { 
		%>
			<jsp:include page="SubToDoList.jsp" flush="true" />
		<%
		}
		%>
	 </h:form>
	</td>
   </tr>
  </table>
 </BODY>
</f:view>
</HTML>

