@REM IBM Confidential
@REM OCO Source Materials
@REM 5724-I66
@REM (C) Copyright IBM Corporation 2005, 2008
@REM The source code for this program is not published or otherwise
@REM divested of its trade secrets, irrespective of what has been
@REM deposited with the U.S. Copyright Office.
@REM
@REM #####################################################
@REM #                                                   #
@REM # WSADIE Workspace Migration Tool                   #
@REM #                                                   #
@REM #                                                   #
@REM #####################################################
@echo off
setlocal


IF .%1.==.. GOTO error:


@REM Set the classpath for the tool.
:setOptions
IF .%1.==.-WSADIEworkspace. (SET WSADIEWORKSPACE=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-wsadieworkspace. (SET WSADIEWORKSPACE=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)

IF .%1.==.-WIDworkspace. (SET WORKSPACE=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-widworkspace. (SET WORKSPACE=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)

IF .%1.==.-WIDstartup. (SET STARTUPFOLDER=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-widstartup. (SET STARTUPFOLDER=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF NOT .%1.==.. (SHIFT /1) & (GOTO setOptions)

if .%STARTUPFOLDER%.==.. (GOTO usage)
if .%WORKSPACE%.==.. GOTO error
if .%WSADIEWORKSPACE%.==.. GOTO error

:OK
ECHO ===============================================
ECHO Displaying options entered from command line
ECHO ===============================================
ECHO.
ECHO WIDstartup: %STARTUPFOLDER%
ECHO.
ECHO WIDworkspace: %WORKSPACE%
ECHO.
ECHO WSADIEworkspace: %WSADIEWORKSPACE%
ECHO.
ECHO ================================================

IF NOT EXIST "%STARTUPFOLDER%\jdk\jre\bin" GOTO usage
IF NOT EXIST "%WSADIEWORKSPACE%" GOTO usage

ECHO Invoking the command line WSADIE workspace migration tool...
ECHO.

for /f "delims= tokens=1" %%c in ('dir /B /S /OD %STARTUPFOLDER%\plugins\org.eclipse.equinox.launcher_*.jar') do set EQUINOXJAR=%%c

%STARTUPFOLDER%\jdk\jre\bin\java -Xj9  -cp %EQUINOXJAR% org.eclipse.core.launcher.Main  -clean -data %WORKSPACE% -application com.ibm.wbit.migration.wsadie.WSADIEServiceProjectMigration %WSADIEWORKSPACE% %WORKSPACE% true false

@goto end

:error
echo You must provide the java-folder, target WID workspace directory name, and source WSADIE workspace directory name.

:usage
ECHO===========================================================================================
ECHO.
ECHO.
ECHO Usage:              WSADIEWorkspaceMigration.bat
ECHO                     -WIDstartup startup-folder -WIDworkspace WID-workspace-folder -WSADIEworkspace WSADIE-workspace-folder
ECHO.
ECHO WIDstartup:          The location of your startup folder -- This should be the folder in your WID installation that contains the java jdk directory.
ECHO.
ECHO WIDworkspace:       The target WID workspace
ECHO.
ECHO WSADIEworkspace:    The name of the directory containing the WSADIE workspace to migrate.
ECHO.  
ECHO.
ECHO=================================================================================
ECHO.
ECHO.Example:
ECHO.
ECHO.
ECHO. WSADIEWorkspaceMigration.bat -WIDstartup "C:\IBM\WID\eclipse" -WIDworkspace "c:\WID Workspaces\myWIDWorkspace" -WSADIEworkspace "c:\wsadie workspaces\myWSADIEWorkspace"
ECHO.
:end
endlocal
ECHO off
