<%
	String contextPath = request.getContextPath();
%>

<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2006, 2008
   
-->

<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	

<%@ page import="com.ibm.wbit.tel.client.form.FormUtils"%>
<%@ page import="com.ibm.wbit.tel.client.form.data.FormDataConversionException"%>
<%@ page import="com.ibm.wbit.tel.client.jsf.infrastructure.FacesUtils"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>


<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>Business Cases Create New</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />

<BODY class="NavigationBackgroundLeft">
 
 <table cellpadding="0" cellspacing="0" width="100%">
  <tr>
   <td class="Banner" colspan="2" >		
      <jsp:include page="Banner.jsp" flush="true" />
   </td>
  </tr>
  <tr valign="top">
   <td nowrap="nowrap" width="220">
   	  <jsp:include page="Content.jsp" flush="true" />
   </td>
   <td>	
	<h:form styleClass="BackgroundView"> 

	<h:panelGrid styleClass="BackgroundViewBC" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{bundle['FORM_ERROR_CONVERSION_HEADLINE']}" />
			<h:outputText styleClass="errorDetailsValidation" value="#{bundle['FORM_ERROR_CONVERSION_DETAILS']}" />
		

			<h:dataTable value="#{lotusFormError.errors}" var="lfe" border="0">
				<h:column>
				    <h:outputText styleClass="errorDetailsValidation" value="-"/>				
					<h:outputText styleClass="errorDetailsValidation" value="#{lfe.message}"/>
				</h:column>
			</h:dataTable>
			
			<f:verbatim> 
	<SCRIPT language="XFDL" id="Error_Form"
		type="application/vnd.xfdl; wrapped=comment">
	<!--
		<%
			FormDataConversionException ex = (FormDataConversionException)FacesUtils.getManagedBeanInstance("lotusFormError", FormDataConversionException.class); 
			out.write(ex.getFormString());
		%>
	-->
	</SCRIPT>
	
	<OBJECT id="IBMLotusForm" height="<%=FormUtils.OBJECT_HEIGHT%>" width="<%=FormUtils.OBJECT_WIDTH%>" border="0" vspace="10" hspace="10" style="font-family:Helvetica" classid="CLSID:354913B2-7190-49C0-944B-1507C9125367">
		<PARAM NAME="XFDLID" VALUE="Error_Form">
		<!--[if !IE]>-->
		<OBJECT id="IBMLotusFormNonIE" height="<%=FormUtils.OBJECT_HEIGHT%>" width="<%=FormUtils.OBJECT_WIDTH%>" border="0" vspace="10" hspace="10" style="font-family:Helvetica" type="application/vnd.xfdl">
			<PARAM NAME="XFDLID" VALUE="Error_Form">    
		</OBJECT>
		<!--<![endif]--> 
	</OBJECT>
	</f:verbatim> 
			
		</h:panelGrid>
		
   </h:form>
  </td>
  </tr>
 </table>
</BODY>
</f:view>
</HTML>

