<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2008
   
-->

<%@ page import="com.ibm.wbit.tel.client.form.command.FormCommandFacade"%>
<%@ page import="com.PureEdge.xfdl.FormNodeP"%>
<%@ page import="com.PureEdge.IFSSingleton"%>
<%@ page import="com.PureEdge.error.UWIException"%>
<%@ page import="com.ibm.bpc.clientcore.util.ErrorBean"%>
<%@ page import="com.ibm.wbit.tel.client.form.data.FormDataConversionException"%>
<%@ page import="com.ibm.wbit.tel.client.form.FormUtils"%>
<%@ page import="com.ibm.wbit.tel.client.jsf.infrastructure.FacesUtils"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<%
	FormNodeP form = null;
	try {
		String command = request.getParameter("method");
		boolean isInputEqualsOutput = "true".equals(request.getParameter("ieo"));
		boolean isMessageEmpty = "true".equals(request.getParameter("ime"));
		int commandType = new Integer(command).intValue();
		form = IFSSingleton.getXFDL().readForm(request.getInputStream(), 0);
		FormCommandFacade cmdFacade = new FormCommandFacade(form, isInputEqualsOutput,isMessageEmpty);
		String returnPage = cmdFacade.execute(commandType);
		response.sendRedirect(returnPage); 
	} catch(FormDataConversionException e){	
		FormDataConversionException ex = (FormDataConversionException)FacesUtils.getManagedBeanInstance("lotusFormError", FormDataConversionException.class); 
		ex.setErrors(e.getErrors());
		ex.setFormString(e.getFormString());
		String returnPage = FormUtils.createFacesServletURL() + "LF_Error.jsp";
		response.sendRedirect(returnPage);
	} catch (Exception e) {
		ErrorBean eb = (ErrorBean)FacesUtils.getManagedBeanInstance("BPCError", ErrorBean.class); 
		eb.setException(e);
		String returnPage = FormUtils.createFacesServletURL() + "Error.jsp";
		response.sendRedirect(returnPage); 
	}
	finally {
		if (form != null) {
			form.destroy(); 
		}
	}
%>
